Subject: [Ietf-languages] subtag registration

From: Saašha Metsärantala <[email-masked]>
Date: Tue, 3 Aug 2021 19:50:59 +0200 (CEST)

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Saašha Metsärantala

2. E-mail address of requester: [email-masked]

3. Record Requested:

Type: variant

Subtags: LaTeX

Description: A TeX expression

Prefix: zxx-Zmth

Comments: This would make it possible to accurately identify TeX expressions, for example with xml:lang="zxx-Zmth-LaTeX" when they are textContent of an XML element or in HTTP headers.

4. Intended meaning of the subtag:

zxx-Zmth-LaTeX

5. Reference to published description of the language (book or article):

https://en.wikipedia.org/wiki/TeX

-- Saašha Metsärantala

---

From: "Doug Ewell" <[email-masked]>
Date: Tue, 3 Aug 2021 13:10:44 -0600

I would argue against registering this variant, which is for a well-known markup language for creating text documents suitable for typesetting.

Section 2 of RFC 5646 says:
"Language tags are used to help identify languages, whether spoken, written, signed, or otherwise signaled, for the purpose of communication.  This includes constructed and artificial languages but excludes languages not intended primarily for human communication, such as programming languages."

We realize that 'Zmth' (Mathematical notation) is a valid BCP 47 script subtag, based on its existence as an ISO 15924 code element. However, it is not really intended to serve as a base for variants for markup languages, and in any case LaTeX isn't a form of mathematical notation, although like many document formats it does support complex math typesetting.

--
Doug Ewell, CC, ALB | Lakewood, CO, US | ewellic.org

-----Original Message-----
From: Ietf-languages <[email-masked]> On Behalf Of Saašha Metsärantala
Sent: Tuesday, August 3, 2021 11:51
To: [email-masked]
Subject: [Ietf-languages] subtag registration

3. Record Requested:

Type: variant

Subtags: LaTeX

Prefix: zxx-Zmth

zxx-Zmth-LaTeX

-- Saašha Metsärantala

_______________________________________________
Ietf-languages mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf-languages

---

From: Mark Davis ☕️ <[email-masked]>
Date: Tue, 3 Aug 2021 12:21:21 -0700

Agreed

Mark (📱)

On Tue, Aug 3, 2021, 12:11 Doug Ewell <[email-masked]> wrote:

> I would argue against registering this variant, which is for a well-known
> markup language for creating text documents suitable for typesetting.
>
> "Language tags are used to help identify languages, whether spoken,
> written, signed, or otherwise signaled, for the purpose of communication.
> This includes constructed and artificial languages but excludes languages
> not intended primarily for human communication, such as programming
> languages."
>
> We realize that 'Zmth' (Mathematical notation) is a valid BCP 47 script
> subtag, based on its existence as an ISO 15924 code element. However, it is
> not really intended to serve as a base for variants for markup languages,
> and in any case LaTeX isn't a form of mathematical notation, although like
> many document formats it does support complex math typesetting.
>
> --
> Comments: This would make it possible to accurately identify TeX
> expressions, for example with xml:lang="zxx-Zmth-LaTeX" when they are
> textContent of an XML element or in HTTP headers.
>

---

From: Kent Karlsson <[email-masked]>
Date: Tue, 3 Aug 2021 21:53:35 +0200

Indeed. Language tags, in the sense of IETF language tags, are for *natural languages* (including constructed languages that serve the same purpose as natural languages, and this in turn include sign languages). It is *not* intended for markup languages, script languages or programming languages (and TeX can be seen as a mix of those).

/Kent K

> 3 aug. 2021 kl. 21:10 skrev Doug Ewell <[email-masked]>:
>

---

From: Sebastian Drude <[email-masked]>
Date: Wed, 4 Aug 2021 00:05:49 -0300

I agree.  This should be achieved via a mime-type (application/x-tex or 
application/x-latex) or similar mechanisms, not a language tag.

Sebastian

-- 
Museu P.E. Goeldi, CCH, Linguistica ▪ Av. Perimetral, 1901
Terra Firme, CEP: 66077-530 ▪ Belém do Pará – PA ▪ Brazil
[email-masked] ▪ +55 (91) 3217 6024 ▪ +55 (91) 983733319
Priv: Tv. Juvenal Cordeiro, 184, Apt 104 ▪ 66070-300 Belém